<!DOCTYPE html>
<html>
<head>
    <title>Clipper - Tiny Clipboard Manager</title>
    <meta charset="UTF-8">
    <meta name="author" content="Lawrence Ching">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
    <link type="text/css" rel="stylesheet" href="//unpkg.com/bootstrap/dist/css/bootstrap.min.css"/>
    <link type="text/css" rel="stylesheet" href="//unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.css"/>

    <script src="https://vuejs.org/js/vue.js"></script>

    <script src="//unpkg.com/babel-polyfill@latest/dist/polyfill.min.js"></script>
    <script src="//unpkg.com/tether@latest/dist/js/tether.min.js"></script>
    <script src="//unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.js"></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>

    <style>
        #app {
            margin: 10px;
        }
    </style>
</head>
<body>


<div id="app">
    <div id="header">
        <h1>{{ title }}
            <b-button variant="outline-primary" href="https://gitlab.com/lawrence.ching/clipper">
                Fork Me on GitHub
            </b-button>
        </h1>
    </div>
    <div id="content">
        <b-list-group>
            <b-list-group-item href="#" @click="onItemClick(index)" v-for="(item, index) in data">
                <b-badge variant="primary">Ctrl+Alt+{{index+1}}</b-badge>
                <b-badge pill variant="success">{{ item.type }}</b-badge>
                <span v-if="'image' !== item.type"> {{ item.content }} </span>
                <img :src="getImgSrc(index)" v-if="'image' === item.type"/>
            </b-list-group-item>
        </b-list-group>
    </div>
</div>

<script type="text/x-template" id="timer-template">
    <b-progress v-model="now" :precision="0" show-progress animated :max="60"></b-progress>
</script>

<script>
    axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded';

    var vm = new Vue({
        el: '#app',
        data: {
            title: 'Clipper',
            data: [],
            refreshInterval: 1000 // ms
        },
        methods: {
            getImgSrc(index) {
                return '/clipboard/' + index + '?tag=' + new Date().getTime();
            },
            onItemClick (index) {
                var params = new URLSearchParams();
                params.append('index', index);
                axios.post("/clipboard", params)
                    .then(function (response) {
                        const status = response.data.status;
                        console.log("Copied successfully")
                    })
                    .catch(function (error) {
                        console.log(error);
                    });
            },
            refresh () {
                const v = this;
                setTimeout(function() {
                    axios.get('/clipboard')
                        .then(function (response) {
                            const data = response.data.data;
                            v.data = data;
                        })
                        .catch(function (error) {
                            console.log(error);
                        });

                    v.refresh()
                }, v.refreshInterval)
            }
        },
        mounted () {
            this.refresh();
        }
    })
</script>
</body>
</html>
